/*
 * $Id: Parameters_msg_error.cpp 81 2008-04-15 18:40:01Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Types.h"
#include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/include/Parameters.h"
#include <sstream>

namespace morpheo                    {
namespace behavioural {
namespace core {
namespace multi_execute_loop {
namespace execute_loop {
namespace multi_write_unit {
namespace write_unit {
namespace write_queue {


#undef  FUNCTION
#define FUNCTION "Write_queue::msg_error"
  Parameters_test Parameters::msg_error(void)
  {
    log_printf(FUNC,Write_queue,FUNCTION,"Begin");

    Parameters_test test ("Write_queue");

    if (_nb_bypass_write > _size_queue)
      test.error("The write_queue can't have more bypass_write than entry in the queue.");

    log_printf(FUNC,Write_queue,FUNCTION,"End");

    return test;
  };

}; // end namespace write_queue
}; // end namespace write_unit
}; // end namespace multi_write_unit
}; // end namespace execute_loop
}; // end namespace multi_execute_loop
}; // end namespace core

}; // end namespace behavioural
}; // end namespace morpheo              
